/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2011 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AF_REPORT_DECL_H
#define AF_REPORT_DECL_H


#if 0
enum {
  AF_Report_DataType_Unknown=-1,
  AF_Report_DataType_None=0,
  AF_Report_DataType_Double,
  AF_Report_DataType_Int,
  AF_Report_DataType_String,
  AF_Report_DataType_Value,
  AF_Report_DataType_Date
};
#endif



enum {                       /* RR GG BB */
  AF_Report_Color_Black=0,   /* 00 00 00 */
  AF_Report_Color_White=1,   /* FF FF FF */
  AF_Report_Color_Red,       /* FF 00 00 */
  AF_Report_Color_Green,     /* 00 80 00 */
  AF_Report_Color_Blue,      /* 00 00 FF */
  AF_Report_Color_Gray,      /* 80 80 80 */
  AF_Report_Color_Fuchsia,   /* FF 00 FF */
  AF_Report_Color_Lime,      /* 00 FF 00 */
  AF_Report_Color_Maroon,    /* 80 00 00 */
  AF_Report_Color_Navy,      /* 00 00 80 */
  AF_Report_Color_Olive,     /* 80 80 00 */
  AF_Report_Color_Purple,    /* 80 00 80 */
  AF_Report_Color_Silver,    /* C0 C0 C0 */
  AF_Report_Color_Teal,      /* 00 80 80 */
  AF_Report_Color_Yellow,    /* FF FF 00 */
  AF_Report_Color_Aqua       /* 00 FF FF */
};


enum {
  AF_Report_FileType_Unknown=-1,
  AF_Report_FileType_None=0,
  AF_Report_FileType_Pdf,
  AF_Report_FileType_Csv,
  AF_Report_FileType_HtmlDir,
  AF_Report_FileType_HtmlFile,
  AF_Report_FileType_Png
};



#endif

